### Method

# GLib String equal

#### Declaration [src]

    gboolean
    g_string_equal (
      const GString* v,
      const GString* v2
    )

#### Description [src]

Compares two strings for equality, returning `TRUE` if they are equal. For use with `GHashTable`.

#### Parameters

`v2`

  Type: `GString`

  Another `GString`.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`TRUE` if the strings are the same length and contain the same bytes.